package app.furmeet.events.system.schedule.abstractDataTypes.convention

import app.furmeet.events.system.helper.Language
import java.io.Serializable

class RegistrationTier(
        val level: Int,
        val names: Map<Language, String>,
        val benefits: List<Map<Language, String>>
) : Serializable {
    fun canAttend(event: Event) = level in event.attendableBy.map { it.level }
}